The Transliterator class

- « Spoofchecker::setRestrictionLevel

- Transliterator::__construct »

- PHP Manual
- intl
- The Transliterator class

# The Transliterator class

(PHP 5 >= 5.4.0, PHP 7, PHP 8, PECL intl >= 2.0.0)

## Introduction

Transliterator provides transliteration of strings.

## Class synopsis

class Transliterator {
/* Constants */
public const int FORWARD;
public const int REVERSE;
/* Properties */
public readonly string $id;
/* Methods */
final private __construct()
public static create(string `$id`, int `$direction` = Transliterator::FORWARD): ?Transliterator
public static createFromRules(string `$rules`, int `$direction` = Transliterator::FORWARD): ?Transliterator
public createInverse(): ?Transliterator
public getErrorCode(): int|false
public getErrorMessage(): string|false
public static listIDs(): array|false
public transliterate(string `$string`, int `$start` = 0, int `$end` = -1): string|false
}

## Properties

id

## Predefined Constants

`Transliterator::FORWARD` int

`Transliterator::REVERSE` int

## Changelog

Version | Description
--- | ---
8.4.0 | The class constants are now typed.
8.2.0 | The id property is now readonly.

## Table of Contents

- Transliterator::__construct — Private constructor to deny instantiation
- Transliterator::create — Create a transliterator
- Transliterator::createFromRules — Create transliterator from rules
- Transliterator::createInverse — Create an inverse transliterator
- Transliterator::getErrorCode — Get last error code
- Transliterator::getErrorMessage — Get last error message
- Transliterator::listIDs — Get transliterator IDs
- Transliterator::transliterate — Transliterate a string